summaryrefslogtreecommitdiff
path: root/bin/cal-publish.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/cal-publish.sh')
-rwxr-xr-xbin/cal-publish.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/bin/cal-publish.sh b/bin/cal-publish.sh
new file mode 100755
index 0000000..7d541ee
--- /dev/null
+++ b/bin/cal-publish.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+# Depends: ical2html
+
+set -eu
+
+STARTDATE=$(date --date "1 week ago" +%Y%m%d)
+
+OUTDIR=events
+
+mkdir --parents "$OUTDIR/learn" "$OUTDIR/code" "$OUTDIR/use" "$OUTDIR/superteam"
+
+#icalmerge ~/.calendars/_ruc_thoughtroam-learn/*.ics "$OUTDIR"/learn/learn.ics
+icalmerge ~/.calendars/_ruc_thoughtroam-code/*.ics "$OUTDIR"/code/code.ics
+#icalmerge ~/.calendars/_ruc_thoughtroam-use/*.ics "$OUTDIR"/use/use.ics
+icalmerge ~/.calendars/_ruc_thoughtroam/*.ics "$OUTDIR"/superteam/superteam.ics
+
+#ical2html --monday --title "RUC HumTek-23 Thoughtroam kode" "$STARTDATE" P40D "$OUTDIR"/learn/learn.ics > "$OUTDIR"/learn/index.html
+ical2html --monday --title "RUC HumTek-23 Thoughtroam læring" "$STARTDATE" P40D "$OUTDIR"/code/code.ics > "$OUTDIR"/code/index.html
+#ical2html --monday --title "RUC HumTek-23 Thoughtroam brug" "$STARTDATE" P40D "$OUTDIR"/use/use.ics > "$OUTDIR"/use/index.html
+ical2html --monday --title "RUC HumTek-23 Thoughtroam fælles" "$STARTDATE" P40D "$OUTDIR"/superteam/superteam.ics > "$OUTDIR"/superteam/index.html